Skip to main content

Merchant Authentication

Process​

Merchant calls the API to obtain a JWT Token.

API Information​

Method: POST

URL: /b2b/auth-service/api/oauth/get-token

Request​

(Parameters sent by merchant)

Main Parameters​

NoField NameData TypeRequiredDescription
1merchant_codeString(50)✅Merchant code provided by Baokim
2client_idString(50)✅Client ID provided by Baokim
3client_secretString(50)✅Client secret provided by Baokim

Request Example​

{
"merchant_code": "BAOKIMMRC",
"client_id": "BAOKIMMRC",
"client_secret": "iOiJKV1QiLCJhbGciOiJIUzI1NiJ9"
}

Response​

Main Parameters​

NoField NameData TypeRequiredDescription
1codeNumber(3)✅Baokim error code
2messageString(200)✅Baokim error message
3dataObject✅Data returned by Baokim

Data Information​

NoField NameData TypeRequiredDescription
1access_tokenString✅JWT Token string
2token_typeString✅Token type
3expired_atDateTime✅Token expiration time

Response Example​

{
"code": 100,
"message": "Successfully",
"data": {
"access_token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJodHRwOi8vbG9jYWxob3N0OjkyOTIvYXBpL2IyYl9hdXRoL2xvZ2luIiwiaWF0IjoxNzA2MDgwODU1LCJleHAiOjE3MDYwODQ0NTUsIm5iZiI6MTcwNjA4MDg1NSwianRpIjoiV0FUWnpJZTB3d0NuU1dpNSIsInN1YiI6IjEiLCJwcnYiOiIyM2JkNWM4OTQ5ZjYwMGFkYjM5ZTcwMWM0MDA4NzJkYjdhNTk3NmY3IiwibWVyY2hhbnRfaW5mbyI6eyJjb2RlIjoiYWJjIn0sInNjb3BlcyI6W3siYWN0aW9uIjoiR0VUIiwidXJpIjoiYWJjLmNvbSJ9LHsiYWN0aW9uIjoiUE9TVCIsInVyaSI6Inh5ei5jb20ifV19.aRfdvwFz8CDiBqHoCG8IGfPC0bO4vhXRvY76dupRx9k.",
"token_type": "bearer",
"expired_at": "2025-10-30 14:41:00"
}
}

Error Codes​

Error CodeDescription
100Success
11Failed
101Baokim system error
103Signature authentication error
104JWT authentication error
422Invalid data
710Sub merchant does not exist
711Master merchant does not exist
712Sub merchant is inactive
713Master merchant is inactive